




	.toc
T.soinfo:
	.tc  	soinfo[tc], soinfo
.csect %1$s[ds] ; .globl %1$s[ds] ; .llong .%1$s , TOC[tc0] , 0
.csect %2$s[ds] ; .globl %2$s[ds] ; .llong .%2$s , TOC[tc0] , 0
	.csect [pr]
	.globl   	.%1$s
.%1$s:
	mflr	11
	stdu	1,-112(1)
	std	11, 112+16(1)
	li	3, %5$d
	ld	4, T.soinfo(2)
	li	5, 0
	.extern  	.%3$s
	bl	.%3$s
	nop
	ld	11, 112+16(1)
	mtlr	11
	la	1, 112(1)
	blr
	.long	0		# traceback table marker
	.long	0x000c0001	# version 0, assembler, saves_lr
	.long	0x80000000	# stores_bc
	.globl   	.%2$s
.%2$s:
	mflr	11
	stdu	1,-112(1)
	std	11, 112+16(1)
	li	3, %5$d
	ld	4, T.soinfo(2)
	li	5, 0
	.extern  	.%4$s
	bl	.%4$s
	nop
	ld	11, 112+16(1)
	mtlr	11
	la	1, 112(1)
	blr
	.long	0		# traceback table marker
	.long	0x000c0001	# version 0, assembler, saves_lr
	.long	0x80000000	# stores_bc
